#
# spec file for package python3-polib
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-polib
Version:        1.0.7
Release:        3.20
Summary:        Library to Manipulate gettext Files (PO and MO Files)
License:        MIT
Group:          Development/Languages/Python
Url:            http://bitbucket.org/izi/polib/
Source0:        https://pypi.python.org/packages/source/p/polib/polib-%{version}.tar.gz
BuildRequires:  python3-Sphinx
BuildRequires:  python3-devel
BuildRequires:  python3-nose
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
polib is a library to manipulate, create, modify gettext files (pot, po
and mo files). You can load existing files, iterate through it's
entries, add, modify entries, comments or metadata, etc... or create new
po files from scratch.

%package doc
Summary:        Documentation for Library to Manipulate gettext Files
Group:          Documentation/Other
Requires:       %{name} = %{version}

%description doc
polib is a library to manipulate, create, modify gettext files (pot, po
and mo files). You can load existing files, iterate through it's
entries, add, modify entries, comments or metadata, etc... or create new
po files from scratch.

This package contains documentation in HTML format.

%prep
%setup -q -n polib-%{version}

%build
python3 setup.py build
pushd docs
make html
rm _build/html/.buildinfo
popd

%install
python3 setup.py install \
    --prefix=%{_prefix} \
    --root=%{buildroot}

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} nosetests

%files
%defattr(-,root,root,-)
%doc CHANGELOG LICENSE README.rst
%{python3_sitelib}/*

%files doc
%defattr(-,root,root,-)
%doc docs/_build/html

%changelog
* Mon Jul 13 2015 arun@gmx.de
- update to version 1.0.7:
  * Fixed bad parsing of indented msgstr_plural
  * Fixed ordering of "Language" metadata entry
  * Removed space after "#" in header if comment line is empty (like
    gettext tools) * Fixed typos / grammar errors (thanks Jakub Wilk)
  * Take into account msgid_plural if needed when comparing entries
    (thanks Leonardo Constantino Oliveira)
  * Fixed issue #63 (str() on a bytes instance when using python3)
    (thanks Jakub Wilk)
* Mon Jun 29 2015 toddrme2178@gmail.com
- Use python3-Sphinx
- Use setuptools instead of distribute
- Use nose for testing
* Thu Jan  8 2015 arun@gmx.de
- specfile:
  * update copyright year
  * update source link to pypi
- remove endian.patch. Included upstream
- update to version 1.0.6:
  * Wheel support
  * Add missing 'Language' and 'Plural-Forms' to metadata ordering
  * More accurate float operation for POFile.percent_translated()
- changes from Version 1.0.5:
  * Fixed issue #59: tokens variable referenced before assignment
  * Implemented feature request #56: line number information in PO entries
  * Fixed issue #61: polib does not handle previous msgid on multines properly
- changes from Version 1.0.4:
  * Fixed issue #43: improved check that determine if polib is dealing with a filepath or unicode content
  * Fixed issue #44: polib now checks MO files revision number and throws an error if the number is unexpected
  * Fixed issue #45: parse properly mo files with no header entry
  * Fixed issue #47: added flags attribute for MOEntry to be consistant with POEntry
  * Fixed issue #49: use integers rather than strings for msgstr_plural keys
  * Fixed issue #51: if a PO file ends with a comment, polib adds a spurious empty entry at the end
  * Fixed issue #52: bad magic number written on big endian platforms
  * Fixed issue #53: added a __hash__() method to POEntry and MOEntry classes
  * Fixed issue #54: use lowercase for state identifiers. This fixes issues with certain locales and string.lower()
  * Fixed issue #58: use io.open() instead of codecs.open() because the latter doesn't handle very well universal line endings
  * Make sure the mo file is closed at garbage collection, this prevents warnings on unclosed file when running tests with python >= 3.2
  * Better way to test indianness
  * polib download URL is now on Pypi
* Tue Sep  3 2013 dvaleev@suse.com
- fix endianess on mo file creation
* Mon Feb 11 2013 lazy.kent@opensuse.org
- Initial package created - 1.0.3.
